Subject: Re: [PATCH] ata: Don't use NO_IRQ in pata_of_platform driver

From: Anton Vorontsov <[email-masked]>
Date: Sat, 3 Dec 2011 02:34:02 +0400

On Fri, Dec 02, 2011 at 07:19:17PM +0000, Dave Martin wrote:
[...]
> > > > Drivers should not use NO_IRQ; moreover, some architectures don't
> > > > have it nowadays. '0' is the 'no irq' case.
> > > > 
> > > > Signed-off-by: Anton Vorontsov <[email-masked]>
> > > 
> > > Acked-by: Alan Cox <[email-masked]>
> > 
> > In case if we don't want a "band-aid fix" for 3.2, here is the patch
> > that just does the proper fix (w/ a risk to break minor architectures).
> 
> This is now broken on ARM where, for good or bad, NO_IRQ currently is
> used and is -1.
> 
> How do we resolve it?

One option is to test this patch on a board that is now broken:

http://lkml.org/lkml/2011/11/10/290

So that someone provide Tested-by tag. With the tag we probably can
push the patch for 3.2, and thus fix the issue once and forever.

The other option is to revert the correct fix, and push the bogus
one, i.e. this:

http://lkml.org/lkml/2011/11/10/287

But that last option is less likely, as this was NAKed by Alan Cox.

Thanks,

-- 
Anton Vorontsov
Email: [email-masked]